Bug 595298 - Upgrade JON 2.2 to JON 2.4 gives error in server log - LoginException: No LoginModules configured for JON
Upgrade JON 2.2 to JON 2.4 gives error in server log - LoginException: No Log...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core Server (Show other bugs)
3.0.0
All Linux
urgent Severity medium (vote)
: ---
: ---
Assigned To: Jay Shaughnessy
Rajan Timaniya
:
Depends On: 596096
Blocks: rhq_triage jon-sprint10-bugs
  Show dependency treegraph
 
Reported: 2010-05-24 06:24 EDT by Rajan Timaniya
Modified: 2010-08-12 12:51 EDT (History)
0 users

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 12:51:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
server log (1.05 MB, text/x-log)
2010-05-24 06:24 EDT, Rajan Timaniya
no flags Details

  None (edit)
Description Rajan Timaniya 2010-05-24 06:24:43 EDT
Created attachment 416079 [details]
server log

Description of problem:
Upgrade JON 2.2 to JON 2.4 (JON build #160) with Oracle 10g gives exception
(LoginException: No LoginModules configured for JON) in server log file.

2010-05-24 15:25:27,128 INFO  [org.rhq.helpers.rtfilter.filter.RtFilter] -- Filter openFile: Writing response-time log for webapp with context root 'ROOT' to '/NotBackedUp/install/jon160/jon-server-2.4.0-SNAPSHOT/jbossas/server/default/log/rt/10.65.193.1_ROOT_rt.log' (hashCode=23950494)...
2010-05-24 15:25:33,115 ERROR [org.rhq.enterprise.gui.authentication.AuthenticateUserAction] Could not log into the web application
org.rhq.enterprise.server.exception.LoginException: No LoginModules configured for JON
	at org.rhq.enterprise.server.auth.SubjectManagerBean.login(SubjectManagerBean.java:282)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	...


Version-Release number of selected component (if applicable):
JON build #160 - Revision:  10620
http://hudson-qe.rhq.rdu.redhat.com:8080/job/jon/160/

How reproducible:
Always

Steps to Reproduce:
1) Install JON 2.2 with Oracle 10g
2) Install one more JON 2.2 server with same database  (High Availability)
3) Install/configure 3 rhq-agests
4) Perform operations on JON 2.2
 (i) Create alerts for platform, JBoss AS4, RHQ Agent, Compatible group (alert
condition is Free Memory > 0.1 OR Total Memory < 999999)
 (ii) Create groups (Mix, Compatible, Group defination)
 (iii)Content repository syncronization (for JBoss Patch)
 (iv) Create Roles and Users
 (v) Change INVENTORY -> CONNECTION of JBoss AS4 
 (vi)Change configuration values of 'RHQ Agent' and create 'History'
 (vii)Perform LDAP settings
 (viii)Create 'SCHEDULES' for 'View Process List' on platform
5) Upgrade JON 2.2 to JON 2.4 (JON build #160) - Complete installation process
6) Try to Log-in JON 2.4 (JON build #160)
7) Check server log for any database error/exception
  
Actual results:
Upgrade JON 2.2 to JON 2.4 with Oracle 10g gives error/exception
(LoginException: No LoginModules configured for JON) in server log file.

Expected results:
Upgrade JON 2.2 to JON 2.4 should upgrade with all its data without any
error/exception.

Additional info:
Please refer attached server log.
Comment 1 Charles Crouch 2010-05-24 12:27:42 EDT
Rajan
We need to determine two things:
1) Whether this only occurs on Oracle, or also PG
2) Whether this only occurs upgrading from 2.2 to 2.4, or also going from 2.3 to 2.4
Comment 2 Rajan Timaniya 2010-05-25 09:04:46 EDT
1) Upgrade JON2.2 to JON2.4 with Postgres 8.3
   The error/exception - LoginException: No LoginModules configured for JON: only found with Oracle, it not reproduce on Postgres. I have verified upgrade JON2.2 to JON2.4 (JON build #166) with Postgres 8.3

2) Upgrade JON 2.3 to JON 2.4 (JON build #166) with Postgres 8.4 didn't found the error/exception - LoginException: No LoginModules configured for JON.

Note: I will test same bug for upgrade JON2.3 to JON2.4 with Oracle 10g and add my comments to bug.
Comment 3 Charles Crouch 2010-05-25 23:00:06 EDT
Marking as needinfo since Rajan needs to reply regarding 2.3->2.4
Comment 4 Rajan Timaniya 2010-05-26 06:21:42 EDT
Upgrade JON 2.3 to JON 2.4 with Oracle 10g give 'SQLException: ORA-00911: invalid character' error/exception on the screen (during installation). Please refer bug #596096 for same.
Comment 5 Jay Shaughnessy 2010-05-26 14:00:15 EDT
I was unable to reproduce this problem. I didn't have the resources to completely mimic the reproduction steps but I did have inventory, operation schedules and history, ldap authorization configured, ldap and non-ldap users created, groups created, role created with user and group assignment.

I did not have multiple servers nor did I generate alerts.

There has just been a merge of the bundle branch into master and that may have positive consequences.

Please retest with the latest build, which, as mentioned above, is quite different given the latest merges. Also, #596096 is resolved.
Comment 6 Rajan Timaniya 2010-05-28 08:07:40 EDT
Verified on JON build #172 - Revision: 10621

Upgrade JON 2.2 to JON 2.4 (JON build #172) with Oracle 10g
Upgrade JON 2.3 to JON 2.4 (JON build #172) with Oracle 10g
Upgrade JON 2.3.1 to JON 2.4 (JON build #172) with Oracle 10g

Observed that there is no - LoginException: No LoginModules configured for JON
Comment 7 Corey Welton 2010-08-12 12:51:18 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.